/* SECTION 1 ( Law details cards) */
.law-container {
  width: 100%;
  padding: 0 20px;
  background-color: #042c02;
}

.law-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px 20px;
  padding: 80px 0;
  padding-top: 50px;
}

.law-card {
  flex: 1;
  max-width: 610px;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 45px;
  padding: 15px 30px;
  border-radius: 4px;
  background-color: var(--color-white);
  min-height: 224px;
  cursor: default;
  transition: all 0.2s ease;
}

.law-card-number {
  width: 80px;
  height: 80px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;

  font-size: 44px;
  line-height: 56px;
  font-weight: 600;
  color: #f2fdf2;
  -webkit-text-stroke: 1px var(--color-black);
}

.law-card-content {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.law-card-content h2 {
  max-width: 335px;
}

.law-card-content p {
  max-width: 404px;
}

.law-card-link {
  width: fit-content;
  text-decoration: underline;
  color: var(--color-green);
  display: flex;
  align-items: center;
  gap: 17px;
  font-size: 15px;
  line-height: 24px;
  font-weight: 500;
}

.law-card-link span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.law-card:hover {
  background-color: var(--color-green);
  color: var(--color-white);
}

.law-card:hover > .law-card-content > .law-card-link {
  color: var(--color-white);
}

.law-card:hover > .law-card-number {
  color: #f2fdf2;
  -webkit-text-stroke: 1px var(--color-white);
}

.law-card:hover > .law-card-content h2 {
  color: var(--color-white);
}

@media (max-width: 1120px) {
  .law-wrapper {
    grid-template-columns: 1fr;
    place-items: center;
  }
}

@media (max-width: 1023.98px) {
  .law-wrapper {
    padding: 60px 0;
    padding-top: 40px;
  }
}

@media (max-width: 640.98px) {
  .law-container {
    padding: 0 16px;
  }

  .law-wrapper {
    padding: 50px 0;
    padding-top: 35px;
  }

  .law-card {
    gap: 6px;
    padding: 16px;
  }

  .law-card-number {
    font-size: 32px;
    line-height: 42px;
  }
}
